=== debian/changelog ===
ros-rolling-rmf-visualization-navgraphs (2.2.1-1jammy) jammy; urgency=high

  * Improve linking times (#61 <https://github.com/open-rmf/rmf_visualization/pull/61>)
  * Contributors: Grey, Luca Della Vedova

 -- Yadunund <yadunund@openrobotics.com>  Sun, 27 Aug 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.2.0-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/pull/57>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.com>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.0.1-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Mon, 14 Nov 2022 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.0.0-1jammy) jammy; urgency=high

  * Provides a visualizer for navigation graphs used by fleets: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.com>  Sun, 02 Oct 2022 16:00:00 -0000
