=== debian/control ===
Source: ros-rolling-rmf-visualization-navgraphs
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-ros2, ros-rolling-rmf-utils <!nocheck>, ros-rolling-rmf-visualization-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-visualization-navgraphs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-ros2, ros-rolling-rmf-visualization-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: A package to visualiize the navigation graphs of fleets
